# $Revision: 1.8 $, $Date: 2010/08/31 22:38:18 $
%define		qtver	4.6.3

Summary:	Polkit-qt-1 wrapper library around polkit-gobject and polkit-agent
Name:		polkit-qt-1
Version:	0.96.1
Release:	4
License:	GPL v2
Group:		Libraries
Source0:	ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin//%{name}-%{version}.tar.bz2
# Source0-md5:	7d122aa67c6786ea7d0bb023701693a1
URL:		http://www.kde.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.96
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polkit-qt-1 is a wrapper library around polkit-gobject and
polkit-agent, which lets developers write easily applications using
polkit-1, and even write custom authentication agents.

%package agent
Summary:	Polkit-qt-1 Agent
License:	GPL v2
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description agent
Polkit-qt-1 Agent.

%package devel
Summary:	Polkit-qt-1 development files
License:	GPL v2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-agent = %{version}-%{release}
Requires:	%{name}-gui = %{version}-%{release}
Requires:	polkit-devel

%description devel
Polkit-qt-1 header files.

%package gui
Summary:	Polkit-qt-1 GUI
License:	GPL v2
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gui
Polkit-qt-1 GUI.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-LCMS_DIR=%{_libdir} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:release}%{?debug:debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post   agent -p /sbin/ldconfig
%postun agent -p /sbin/ldconfig
%post   gui -p /sbin/ldconfig
%postun gui -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libpolkit-qt-core-1.so.?
%attr(755,root,root) %{_libdir}/libpolkit-qt-core-1.so.*.*.*

%files agent
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libpolkit-qt-agent-1.so.?
%attr(755,root,root) %{_libdir}/libpolkit-qt-agent-1.so.*.*.*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libpolkit-qt-gui-1.so.?
%attr(755,root,root) %{_libdir}/libpolkit-qt-gui-1.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-qt-agent-1.so
%attr(755,root,root) %{_libdir}/libpolkit-qt-core-1.so
%attr(755,root,root) %{_libdir}/libpolkit-qt-gui-1.so
%{_includedir}/polkit-qt-1
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: polkit-qt-1.spec,v $
Revision 1.8  2010/08/31 22:38:18  shadzik
- rel 4

Revision 1.7  2010/08/31 22:37:46  shadzik
- oops

Revision 1.6  2010/08/31 22:34:34  shadzik
- fix ldconfig for subpackages
- rel 3

Revision 1.5  2010/08/05 10:51:47  shadzik
- devel requires polkit-devel
- rel 2

Revision 1.4  2010/08/05 10:28:03  shadzik
- 0.96.1

Revision 1.3  2009/12/24 01:54:33  shadzik
- more qt4 BRs

Revision 1.2  2009/12/24 01:52:33  shadzik
- %files and stuff, should be ready

Revision 1.1  2009/12/23 23:18:40  shadzik
- polkit-qt successor; initial may not work

Revision 1.7  2009/12/23 22:55:38  shadzik
- 0.9.3 final and last release
- will be soon obsolete

Revision 1.6  2009/12/20 13:56:04  shadzik
- current snap 1064260

Revision 1.5  2009/11/17 21:51:20  zbyniu
- missing BRs; cleanup

Revision 1.4  2009/07/29 19:59:39  arekm
- rel 2

Revision 1.3  2009/06/11 20:37:19  cactus
- up to 0.9.2 r980477
- use svn export instread checkout

Revision 1.2  2009/05/26 11:52:16  paszczus
- updated to r973053

Revision 1.1  2009/04/29 06:58:11  paszczus
- initial
